{
        template: '${tmpl}',
                data: function() {
                        return {
                                imageUrl: '',

                        }
                },
        mounted: function() {

        },
        created: function() {

        },
        computed: {

        },
        watch: {
          
        },
        methods: {
                handleAvatarSuccess(res, file) {
                        this.imageUrl = URL.createObjectURL(file.raw);
                        console.log(this.imageUrl);
                      },
                      beforeAvatarUpload(file) {
                        const isJPG = file.type === 'image/jpeg';
                        const isPNG = file.type === 'image/png';
                        const isLt2M = file.size / 1024 / 1024 < 2;
                
                        if (!isJPG && !isPNG) {
                          this.$message.error('上传头像图片只能是 JPG 、PNG 格式!');
                        }
                        if (!isLt2M) {
                          this.$message.error('上传头像图片大小不能超过 2MB!');
                        }
                        return isJPG && isLt2M;
                      }
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobileinvoiceeditspecial"
}
